// @flow
import React from 'react';
import { renderSnapshot } from '../../../../../utils/tests';

import type { SelectorButtonProps } from './selector-button.proptypes';
import { SelectorButton } from './index';

const DEFAULT_PROPS: SelectorButtonProps = {
  type: 'button',
  onClick: jest.fn(),
  disabled: false,
};

describe('SelectorButton', () => {
  describe('snapshot', () => {
    it('matches the previous snapshot', () => {
      const selectorButton = renderSnapshot(
        <SelectorButton {...DEFAULT_PROPS} />,
      );
      expect(selectorButton).toMatchSnapshot();
    });
  });
});
